import request from "@/utils/request.js";

//获取我的积分信息
export function getMyPoint(data) {
    return request({
        method: 'get',
        url: '/user/point',
        data
    });
}
//周签到信息查询
export function getSignPoint(data) {
    return request({
        method: 'post',
        url: '/point/activity/sign/info',
        data
    });
}

//用户签到接口
export function signPoint(data) {
    return request({
        method: 'post',
        url: '/point/activity/sign',
        data
    });
}

//首页 - 任务列表
export function getHomeTask(data) {
    return request({
        method: 'get',
        url: '/user/point/activity/list',
        data
    });
}

// 任务去完成接口
export function goComplete(data) {
    return request({
        method: 'post',
        url: '/user/point/complete',
        data
    });
}


//积分明细
export function getPointDetails(data) {
    return request({
        method: 'post',
        url: '/user/point/page',
        data
    });
}

//任务明细
export function getPointTaskList(data) {
    return request({
        method: 'post',
        url: '/user/point/activity/page',
        data
    });
}


//查询商品详情
export function productGetById(data) {
    return request({
        method: 'get',
        url: '/product/getById',
        data
    });
}


